unit Transparency_setting;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls
  ;

const WM_SET_TRANSPARENCY = WM_USER+113;

type
  TForm_transparency_setting = class(TForm)
    TrackBar1: TTrackBar;
    procedure TrackBar1Change(Sender: TObject);
  private
    { Private declarations }
    transparent_handle :thandle;
  public
    { Public declarations }
  end;

procedure show_transparency_setting(
  trans_handle :thandle;
  transparency :integer;
  x,y          :integer);

implementation
{$R *.dfm}

var
  Form_transparency_setting: TForm_transparency_setting;


procedure show_transparency_setting(
  trans_handle :thandle;
  transparency :integer;
  x,y          :integer);
(*******************************************************************************
*******************************************************************************)
begin
  if Form_transparency_setting=nil then
    application.CreateForm(tForm_transparency_setting,Form_transparency_setting);

  with Form_transparency_setting do
  begin
    transparent_handle:=0;  //prevent postmessage
    trackbar1.position:=transparency;
    left:=x;
    top:=y;
    transparent_handle:=trans_handle;
    showmodal;
  end;
end;


procedure TForm_transparency_setting.TrackBar1Change(Sender: TObject);
(*******************************************************************************
Trackbar.Position must run at range 1-255...
The "parentform" must supply
*******************************************************************************)
begin
  if transparent_handle<>0 then
      postmessage(transparent_handle,WM_SET_TRANSPARENCY,trackbar1.Position,trackbar1.Position);
end;


end.
